Subject: Re: bug#42944: [feature/native-comp] Build fails with Guix/Nix: Symbol's value as variable is void: auto-save-list-file-prefix

From: [email-masked]
Date: Thu, 20 Aug 2020 11:43:04 -0700

Hi Andrea,

Thank you for the quick fix (and the explanation, as to why the
modification time based hashing fails)! I can't comment onto the time
penalty for hashing based on content, but it seems like a good trade-
off. I was able to compile successfully with the commit reverted. 

Thank you for your work on native compilation!

Best,
Michael
 
On Thu, 2020-08-20 at 10:58 +0000, Andrea Corallo wrote:
> [email-masked] writes:
> 
> > As of commit 8a931a97b8dd19a38d6f719f810280a07ba76438 the build
> > fails
> > on nix:
> 
> Hi thanks for the report, I've reverted 8a931a97b8.
> 
> What's going on is that hashing the eln based on the last mod time
> simply breaks make install as the last modification time is not
> preserved precisely.
> 
> I think we could work out the makefile to try to preserve that but I
> believe is worth trying to hash using the .el file content and see if
> it
> has a performance impact or not.  If viable I believe would be a more
> robust solution.
> 
> I propose we hash like filename-path_hash-content_hash.eln so we can
> clean-up the eln-cache folders when recompiling or when we want.
> 
> Could you please check in the meanwhile that is back working for you?
> 
> Thanks!
> 
>   Andrea
>